#!/bin/bash
set -e

NEW_TAG="$1"
POM_VERSION="$2"
DOCKER_REGISTRY="docker.ozg-sh.de"
IMAGE_NAME="xta-test-server"

if [ -z "$DOCKER_USER" ]; then
    echo "Error: USER environment variable must be set"
    exit 1
fi
if [ -z "$DOCKER_PASSWORD" ]; then
    echo "Error: PASSWORD environment variable must be set"
    exit 1
fi
if [ -z "$BRANCH_NAME" ]; then
    echo "Error: BRANCH_NAME environment variable must be set"
    exit 1
fi

echo "BRANCH_NAME: ${BRANCH_NAME}"

echo "Log into Docker..."
echo "$DOCKER_PASSWORD" | docker login "$DOCKER_REGISTRY" -u "$DOCKER_USER" --password-stdin

echo "Tag Docker image..."
docker tag "${DOCKER_REGISTRY}/${IMAGE_NAME}:${POM_VERSION}" "${DOCKER_REGISTRY}/${IMAGE_NAME}:${NEW_TAG}"

echo "Push Docker image..."
docker push "${DOCKER_REGISTRY}/${IMAGE_NAME}:${NEW_TAG}"

echo "Docker image pushed successfully: ${DOCKER_REGISTRY}/${IMAGE_NAME}:${NEW_TAG}"